sounds good, but not compatible v4 Rated 3 out of 5 stars

hard to rate since error message says not compatible with firefox 4. sounds like a great idea, can't wait for update

This review is for a previous version of the add-on (2.3).